Bug 1866 - ntsysv does not show proper "levels"
ntsysv does not show proper "levels"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-29 10:50 EST by Stephen John Smoogen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-29 11:00:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 1999-03-29 10:50:06 EST
If you log in as single user (LILO linux single) and run
ntsysv to change application run levels it shows all
connections to be blank [ ] versus what they might be
running at all.

While this might be intended behaviour it does not fit older
behavior where ntsysv would show what applications would
generally run. This gave users an easy tool to turn off
applications that might cause problems if they tried to
start the machine in run level 3 or 5.

ntsysv-1.0.3-1
Comment 1 Bill Nottingham 1999-03-29 11:00:59 EST
This is a behavior change, which is documented in the
man page. To edit a particular runlevel, do
'ntsysv --levels 123', for example. Basically, the
problem we're facing is how to avoid accidentally turning
on X in runlevel 3. :(
Comment 2 Adam Thompson 1999-04-04 18:51:59 EDT
Simplest way I've seen (can't remember which OS) takes into account
the fact that there is (generally) a fixed upper bound on the number
of runlevels.  The ntsysv screen could be redone to look something
like this:

      +-----------------------+
      | Default Runlevel: [3] |
      +-----------------------+
+-PkgName--[1]-[2]-[3]-[4]-[5]-[6]-[7]-[8]-[9]-+
| apmd     [X] [X] [X] [X] [X] [ ] [ ] [ ] [ ] |
| ....                                         |
| xdm      [ ] [ ] [ ] [ ] [X] [ ] [ ] [ ] [ ] |
+----------------------------------------------+
        <<OK>>  <<CANCEL>>

I don't know what range of runlevels SysVinit can handle, so this may
or may not be practical.  Worth noting that a "typical" RedHat system
only worries about runlevels 0, 3, 5 and 6. (I think. :-)

Note You need to log in before you can comment on or make changes to this bug.